Add a holiday or exception day
POST
/v1/workspace/contact-center/wfm/exception-days
const url = 'https://api.vocapable.com/v1/workspace/contact-center/wfm/exception-days';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"day":"2026-04-15","queue_key":"example","kind":"holiday","multiplier":1,"label":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/contact-center/wfm/exception-days \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "day": "2026-04-15", "queue_key": "example", "kind": "holiday", "multiplier": 1, "label": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CcWfmExceptionDay
object
Example
{ "kind": "holiday"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}